Method: projects.showEffectiveKeyAccessJustificationsEnrollmentConfig

Full name: projects.showEffectiveKeyAccessJustificationsEnrollmentConfig

Returns the KeyAccessJustificationsEnrollmentConfig of the resource closest to the given project in hierarchy.

HTTP request


GET https://cloudkms.googleapis.com/v1/{project=projects/*}:showEffectiveKeyAccessJustificationsEnrollmentConfig

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
project

string

Required. Specifies the number or id of the project to get the effective KeyAccessJustificationsEnrollmentConfig for.

Request body

The request body must be empty.

Response body

Represents a response message for KeyAccessJustificationsConfig.ShowEffectiveKeyAccessJustificationsEnrollmentConfig

If successful, the response body contains data with the following structure:

JSON representation
{
  "hardwareConfig": {
    object (KeyAccessJustificationsEnrollmentConfig)
  },
  "softwareConfig": {
    object (KeyAccessJustificationsEnrollmentConfig)
  },
  "externalConfig": {
    object (KeyAccessJustificationsEnrollmentConfig)
  }
}
Fields
hardwareConfig

object (KeyAccessJustificationsEnrollmentConfig)

Contains the effective KeyAccessJustificationsEnrollmentConfig for hardware keys.

softwareConfig

object (KeyAccessJustificationsEnrollmentConfig)

Contains the effective KeyAccessJustificationsEnrollmentConfig for software keys.

externalConfig

object (KeyAccessJustificationsEnrollmentConfig)

Contains the effective KeyAccessJustificationsEnrollmentConfig for external keys.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloudkms
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

KeyAccessJustificationsEnrollmentConfig

Represents the configuration of a protection level for a project's Key Access Justifications enrollment.

JSON representation
{
  "auditLogging": boolean,
  "policyEnforcement": boolean
}
Fields
auditLogging

boolean

Indicates whether the project has Key Access Justifications logging enabled.

policyEnforcement

boolean

Indicates whether the project is enrolled in Key Access Justifications policy enforcement.